Mail archive
alpine-aports

[alpine-aports] [PATCH 4/6] main/libxv: rebuild to compress man pages

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Fri, 14 Aug 2015 17:54:47 +0200

---
 main/libxv/APKBUILD | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)
diff --git a/main/libxv/APKBUILD b/main/libxv/APKBUILD
index 4a05c15..7b42e7d 100644
--- a/main/libxv/APKBUILD
+++ b/main/libxv/APKBUILD
_at_@ -1,24 +1,26 @@
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=libxv
 pkgver=1.0.10
-pkgrel=0
+pkgrel=1
 pkgdesc="X11 Video extension library"
 url="http://xorg.freedesktop.org/"
 arch="all"
 license="custom"
-subpackages="$pkgname-dev $pkgname-doc"
-depends=
+depends=""
 depends_dev="xproto videoproto libx11-dev libxext-dev"
 makedepends="$depends_dev"
+subpackages="$pkgname-dev $pkgname-doc"
 source="http://xorg.freedesktop.org/releases/individual/lib/libXv-$pkgver.tar.bz2
 	"
 
 _builddir="$srcdir"/libXv-$pkgver
 prepare() {
 	cd "$_builddir"
+
+	local i=
 	for i in $source; do
 		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1 ;;
 		esac
 	done
 }
_at_@ -39,6 +41,7 @@ package() {
 	rm "$pkgdir"/usr/lib/*.la || return 1
 	install -D -m644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
 }
+
 md5sums="e0af49d7d758b990e6fef629722d4aca  libXv-1.0.10.tar.bz2"
 sha256sums="55fe92f8686ce8612e2c1bfaf58c057715534419da700bda8d517b1d97914525  libXv-1.0.10.tar.bz2"
 sha512sums="3c9642006dbc7a74f91263aa3a94711a95ee436b03d97ef51fce2bc2f602c25589606e1fcb58287ea0efebb3b9dbe7ef5fcb94e11ad3ec6be7830947a4cefe03  libXv-1.0.10.tar.bz2"
-- 
2.5.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Aug 14 2015 - 17:54:47 GMT